%define oname   rmagick

Name:       ruby-%{oname}
Version:    2.13.2
Release:    %mkrel 9
Summary:    Ruby binding to ImageMagick
Group:      Development/Ruby
License:    BSD
URL:        http://rubyforge.org/projects/rmagick
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: imagemagick
BuildRequires: imagemagick-devel
# ease upgrade from mdv
Provides:   ruby-RMagick = %{version}-%{release}
Requires: %{_lib}magick = %(rpm -q --queryformat=%{VERSION} imagemagick)

%description
RMagick is an interface between Ruby and ImageMagick.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_instdir}/doc
%doc %{gem_instdir}/examples
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.13.2-9.mga4
+ Revision: 562441
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 2.13.2-8.mga4
+ Revision: 560324
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 2.13.2-7.mga4
+ Revision: 537965
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 2.13.2-6.mga4
+ Revision: 488168
- update file list
- rebuild for new imagemagick

  + pterjan <pterjan>
    - Rebuild for Ruby 2

* Thu Sep 19 2013 fwang <fwang> 2.13.2-4.mga4
+ Revision: 481484
- update file list
- rebuild for new imagemagick

* Sun Sep 01 2013 fwang <fwang> 2.13.2-3.mga4
+ Revision: 474059
- rebuild for new imagemagick

* Thu Aug 15 2013 fwang <fwang> 2.13.2-2.mga4
+ Revision: 466700
- move correct file
- do not build doc now
- update build script
- revert to gem method
- use sitearch dir
- fix perm
- disable werror
- use rubysetup

* Sat Jun 08 2013 fwang <fwang> 2.13.2-1.mga4
+ Revision: 440508
- new version 2.13.2

* Sat Jun 08 2013 fwang <fwang> 2.13.1-15.mga4
+ Revision: 440503
- rebuild for new imagemagick

* Tue May 28 2013 fwang <fwang> 2.13.1-14.mga4
+ Revision: 429191
- rebuild for new imagemagick

* Fri Feb 08 2013 umeabot <umeabot> 2.13.1-13.mga3
+ Revision: 396390
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.13.1-12.mga3
+ Revision: 381354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 2.13.1-11.mga3
+ Revision: 333803
- rebuild for new imagemagick

* Sat Dec 15 2012 fwang <fwang> 2.13.1-10.mga3
+ Revision: 331247
- rebuild for new imagemagick

* Fri Dec 14 2012 fwang <fwang> 2.13.1-9.mga3
+ Revision: 330829
- doc is noarch

* Fri Dec 14 2012 fwang <fwang> 2.13.1-8.mga3
+ Revision: 330721
- correct lib req

* Fri Dec 14 2012 fwang <fwang> 2.13.1-7.mga3
+ Revision: 330709
- imagemagick version is hardcoded in source

  + shikamaru <shikamaru>
    - revert mistake, I wanted to do that in 2/ not cauldron?\226?\128?\166
    - Fix: #7779

* Sun Nov 04 2012 fwang <fwang> 2.13.1-6.mga3
+ Revision: 313857
- rebuild for new ruby

* Sun Oct 30 2011 shikamaru <shikamaru> 2.13.1-5.mga3
+ Revision: 159932
- add provides to ease upgrade from mdv

* Sun Feb 13 2011 shikamaru <shikamaru> 2.13.1-4.mga2
+ Revision: 51282
- imported package ruby-rmagick


* Tue Feb 01 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.13.1-4mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sat Dec 04 2010 Rémy Clouard <shikamaru@mandriva.org> 2.13.1-3mdv2011.0
+ Revision: 609423
- rebuild for new imagemagick

* Sat Nov 13 2010 Rémy Clouard <shikamaru@mandriva.org> 2.13.1-2mdv2011.0
+ Revision: 597359
- rebuild for new ImageMagick

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 2.13.1-1mdv2011.0
+ Revision: 553641
- new version 2.13.1
- rebuild for new imagemagick

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 2.13.0-1mdv2010.1
+ Revision: 491378
- new version 2.13.0

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.9.0-3mdv2010.0
+ Revision: 442805
- rebuild

* Thu Jan 29 2009 Götz Waschk <waschk@mandriva.org> 2.9.0-2mdv2009.1
+ Revision: 335088
- rebuild for new libmagick

* Mon Jan 19 2009 Pascal Terjan <pterjan@mandriva.org> 2.9.0-1mdv2009.1
+ Revision: 331256
- Update to 2.9.0
- Disable HTML doc for now, I did not manage to build it

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 2.5.2-1mdv2009.0
+ Revision: 280692
- New Release

* Thu Jul 10 2008 Adam Williamson <awilliamson@mandriva.org> 2.5.1-1mdv2009.0
+ Revision: 233260
- adjust for slightly changed build system
- clean spec
- new release 2.5.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new imagemagick libs

* Tue Jan 08 2008 Pascal Terjan <pterjan@mandriva.org> 1.15.6-2mdv2008.1
+ Revision: 146584
- Remove the installed doc, we already install it with the macro

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.15.6-1mdv2008.0
+ Revision: 24920
- Updated to 1.15.6.


* Sun Mar 04 2007 Pascal Terjan <pterjan@mandriva.org> 1.15.3-1mdv2007.0
+ Revision: 131914
- BuildRequires ImageMagick to build the doc
- Use Development/Ruby group
- 1.15.3
- Use standard macro
- rebuild for new libMagick
- Import ruby-RMagick

* Fri Aug 18 2006 Emmanuel Andry <eandry@mandriva.org> 1.13.0-2mdv2007.0
- rebuild for Imagick

* Tue Jul 04 2006 Emmanuel Andry <eandry@mandriva.org> 1.13.0-1mdv2007.0
- 1.13.0

* Sat Jan 21 2006 Pascal Terjan <pterjan@mandriva.org> 1.9.3-2mdk
- rebuilt

* Sun Oct 30 2005 Pascal Terjan <pterjan@mandriva.org> 1.9.3-1mdk
- 1.9.3

* Sat Sep 17 2005 Pascal Terjan <pterjan@mandriva.org> 1.9.2-1mdk
- 1.9.2

* Fri Sep 09 2005 Pascal Terjan <pterjan@mandriva.org> 1.9.1-1mdk
- 1.9.1
- mkrel

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 1.9.0-2mdk
- rebuilt against new Magick libs

* Mon Jul 18 2005 Pascal Terjan <pterjan@mandriva.org> 1.9.0-1mdk
- 1.9.0

* Fri Jul 08 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.3-2mdk
- Don't own %%{ruby_archdir}

* Sun Jun 19 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.3-1mdk
- 1.8.3
- fix rights on examples

* Sun Jun 12 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.2-1mdk
- 1.8.2

* Fri Jun 03 2005 Pascal Terjan <pterjan@mandriva.org> 1.8.1-1mdk
- First package

